@echo off
set COB_LIBRARY_PATH=.;%COB_LIBRARY_PATH%

echo RETURN-CODE moving
copy /y return-code.1 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if not errorlevel 1 goto err
if errorlevel 2 goto err
diff return-code.2 result
if errorlevel 1 goto err

echo RETURN-CODE passing
copy /y return-code.3 mod1.cob > nul
copy /y return-code.4 mod2.cob > nul
copy /y return-code.5 prog.cob > nul
cobc -m -debug -Wall -std=cobol2002 mod1.cob > comp.out 2>&1
if errorlevel 1 goto err
cobc -m -debug -Wall -std=cobol2002 mod2.cob > comp.out 2>&1
if errorlevel 1 goto err
cobc -x -debug -Wall -std=cobol2002 prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff return-code.6 result
if errorlevel 1 goto err

echo ***SKIPPING*** Does not work in CE on Windows: RETURN-CODE nested
rem copy /y return-code.7 prog.cob > nul
rem cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
rem if errorlevel 1 goto err
rem prog > result
rem if errorlevel 1 goto err
rem diff return-code.8 result
rem if errorlevel 1 goto err

echo RETURN-CODE TEST PASSED
del prog.* mod1.* mod2.* result comp.out
goto end

:err
	echo RETURN-CODE TEST FAILED
	pause
:end
